<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SupportTicketReply extends Model
{
    protected $guarded = ['id'];

    protected $casts = [
        'attachments' => 'array',
    ];

    public function reply(): \Illuminate\Database\Eloquent\Relations\MorphTo
    {
        return $this->morphTo('reply', 'reply_type', 'reply_id', 'id');
    }
}
